Permalink
Browse files

Merge pull request #10 from yast/disuse-autotools

Minor bugfix; more coverage; more RSpec; no Autotools.
  • Loading branch information...
mvidner committed Jun 16, 2015
2 parents 5dfcdab + 2f4d36f commit 438d0fecaceb4efb908d207eeac2586c9b060253
View
@@ -5,12 +5,9 @@ before_install:
# disable rvm, use system Ruby
- rvm reset
- wget https://raw.githubusercontent.com/yast/yast-devtools/master/travis-tools/travis_setup.sh
- sh ./travis_setup.sh -p "rake yast2-devtools yast2-testsuite yast2" -g "rspec:2.14.1 yast-rake gettext simplecov coveralls"
- sh ./travis_setup.sh -p "rake yast2-devtools yast2" -g "rspec:2.14.1 yast-rake gettext simplecov coveralls"
script:
- rake check:syntax
- rake check:pot
- COVERAGE=1 rake test:unit
- make -f Makefile.cvs
- make
- sudo make install
- make check
- sudo rake install
View

This file was deleted.

Oops, something went wrong.
View

This file was deleted.

Oops, something went wrong.
View

This file was deleted.

Oops, something went wrong.
@@ -1,3 +1,14 @@
-------------------------------------------------------------------
Fri Jun 12 16:13:53 UTC 2015 - mvidner@suse.com
- If PROXY_ENABLED is not set, interpret it as disabled,
like the rest of the system does (boo#934925).
- Internal cleanups:
- Got rid of autotools.
- Converted legacy testsuite to RSpec.
- Moved code out of clients for better testability.
- 3.1.6
-------------------------------------------------------------------
Thu Jun 11 12:01:30 UTC 2015 - mvidner@suse.com
View
@@ -17,28 +17,25 @@
Name: yast2-proxy
Version: 3.1.5
Version: 3.1.6
Release: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: %{name}-%{version}.tar.bz2
Group: System/YaST
License: GPL-2.0+
# should be required by devtools
BuildRequires: perl-XML-Writer pkgconfig rpm
BuildRequires: update-desktop-files
BuildRequires: yast2-testsuite
BuildRequires: yast2-devtools >= 3.1.10
BuildRequires: yast2-buildtools >= 3.1.10
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(yast-rake)
BuildRequires: yast2
Requires: yast2
# we split off that one
Conflicts: yast2-network < 2.22.6
PreReq: /bin/rm
BuildArch: noarch
Requires: yast2-ruby-bindings >= 1.0.0
@@ -52,23 +49,24 @@ This package contains the YaST2 component for proxy configuration.
%prep
%setup -n %{name}-%{version}
%check
rake test:unit
%build
%yast_build
%install
%yast_install
rake install DESTDIR="%{buildroot}"
%files
%defattr(-,root,root)
%{yast_clientdir}/*.rb
%{yast_libdir}/proxy
%{yast_moduledir}/*.rb
%{yast_yncludedir}/proxy
%{yast_desktopdir}/*.desktop
%{yast_scrconfdir}/*.scr
%{yast_schemadir}/autoyast/rnc/proxy.rnc
%dir %{yast_docdir}
%{yast_docdir}/COPYING
%doc %{yast_docdir}
%changelog
View

This file was deleted.

Oops, something went wrong.
File renamed without changes.
Oops, something went wrong.

0 comments on commit 438d0fe

Please sign in to comment.